<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
require("conexion/conectar.php");

$conexion = new CONDB();
$conexion->conectar();

$rfc=$_REQUEST['rfc'];
$rfcBD=$_REQUEST['rfcBD'];
$nombre=$_REQUEST['nombre'];
$puesto=$_REQUEST['puesto'];
$email2=$_REQUEST['email2'];
$usr=$_REQUEST['usr'];
$pass=$_REQUEST['pass'];
$passBD=$_REQUEST['passBD'];
if($pass!=$passBD)
	$pass=md5($pass);
$telefono=$_REQUEST['telefono'];
$contacto=$_REQUEST['contacto'];

$query="update usuariosweb set pass='$pass', nombre='$nombre', puesto='$puesto', rfc_cliente='$rfc', email='$email2', telefono='$telefono', contactoP='$contacto' where username='$usr'";

$rquery = mysqli_query($conexion->CONEXION,$query);

if(!isset($_POST['desde'])){
	saveClienteWEB($rfc);
	if($rfcBD != $rfc)
		eliminaClienteWEB($rfcBD);
}

if(mysqli_errno($conexion->CONEXION) != 0)
	echo "Ocurrio un error al actualizar los datos";
else{
	if(!isset($_POST['desde']))
		echo "";
	else
		echo "Perfil actualizado";
}

function saveClienteWEB($rfc){
global $conexion;
$nombreCliente=$_REQUEST['nombreEmpresa'];
$query="select rfc_cliente from clienteweb where rfc_cliente='$rfc'";
		$rquery=mysqli_query($conexion->CONEXION,$query);
		if(mysqli_num_rows($rquery)==0){
				$query="insert into clienteweb set rfc_cliente='$rfc', nombre_cliente='$nombreCliente', esProv='SI'";
				mysqli_query($conexion->CONEXION,$query);
		}else{
			$query="update clienteweb set esProv='SI', nombre_cliente='$nombreCliente' where rfc_cliente='$rfc'";
			mysqli_query($conexion->CONEXION,$query);
		}
		$error=mysqli_errno($conexion->CONEXION);

		if($error != 0)
			return false;
		else
			return true;

}

function eliminaClienteWEB($rfc){
global $conexion;
	$query="select rfc_cliente from usuariosweb where rfc_cliente='$rfc'";
	$rquery=mysqli_query($conexion->CONEXION,$query);
	if(mysqli_num_rows($rquery)==0){
		$query="delete from clienteweb where rfc_cliente='$rfc'";
		mysqli_query($conexion->CONEXION,$query);
	}
}
?>